%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global cargo_install_bin 0

%global crate snapbox

Name:           rust-snapbox
Version:        0.6.10
Release:    1%{?dist}
Summary:        Snapshot testing toolbox

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/snapbox
Source0:         %{crates_source}
Patch:          snapbox-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 26

%global _description %{expand:
Snapshot testing toolbox.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cmd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cmd-devel %{_description}

This package contains library source intended for building other packages which
use the "cmd" feature of the "%{crate}" crate.

%files       -n %{name}+cmd-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+color-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+color-devel %{_description}

This package contains library source intended for building other packages which
use the "color" feature of the "%{crate}" crate.

%files       -n %{name}+color-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+color-auto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+color-auto-devel %{_description}

This package contains library source intended for building other packages which
use the "color-auto" feature of the "%{crate}" crate.

%files       -n %{name}+color-auto-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug-devel %{_description}

This package contains library source intended for building other packages which
use the "debug" feature of the "%{crate}" crate.

%files       -n %{name}+debug-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+detect-encoding-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+detect-encoding-devel %{_description}

This package contains library source intended for building other packages which
use the "detect-encoding" feature of the "%{crate}" crate.

%files       -n %{name}+detect-encoding-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+diff-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+diff-devel %{_description}

This package contains library source intended for building other packages which
use the "diff" feature of the "%{crate}" crate.

%files       -n %{name}+diff-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dir-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dir-devel %{_description}

This package contains library source intended for building other packages which
use the "dir" feature of the "%{crate}" crate.

%files       -n %{name}+dir-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+document-features-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+document-features-devel %{_description}

This package contains library source intended for building other packages which
use the "document-features" feature of the "%{crate}" crate.

%files       -n %{name}+document-features-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+examples-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+examples-devel %{_description}

This package contains library source intended for building other packages which
use the "examples" feature of the "%{crate}" crate.

%files       -n %{name}+examples-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+json-devel %{_description}

This package contains library source intended for building other packages which
use the "json" feature of the "%{crate}" crate.

%files       -n %{name}+json-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+path-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+path-devel %{_description}

This package contains library source intended for building other packages which
use the "path" feature of the "%{crate}" crate.

%files       -n %{name}+path-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages which
use the "regex" feature of the "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+structured-data-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+structured-data-devel %{_description}

This package contains library source intended for building other packages which
use the "structured-data" feature of the "%{crate}" crate.

%files       -n %{name}+structured-data-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+term-svg-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+term-svg-devel %{_description}

This package contains library source intended for building other packages which
use the "term-svg" feature of the "%{crate}" crate.

%files       -n %{name}+term-svg-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.10-1
- initial build
